[Résolu] crash systématique de HA

Bonjour à tous,

je rencontre un problème que je n’arrive pas à résoudre. J’utilise Home Assistant avec l’AddOn Frigate. Tout se passait bien et soudainement HA est devenu instable et crash après quelques heures de fonctionnement. Ce problème est apparu après une mise à jour, mais malheureusement, je ne sais plus laquelle.

Voici les logs :
home-asssistant.log :

2023-05-09 18:32:01.155 WARNING (Recorder) [homeassistant.components.recorder.util] The system could not validate that the sqlite3 database at //config/home-assistant_v2.db was shutdown cleanly
2023-05-09 18:32:01.170 WARNING (Recorder) [homeassistant.components.recorder.util] Ended unfinished session (id=35 from 2023-05-08 12:56:22.279200)
2023-05-09 18:32:09.789 ERROR (MainThread) [homeassistant.components.sensor] Error adding entities for domain sensor with platform speedtestdotnet
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/sensor/__init__.py", line 581, in state
    numerical_value = float(value)  # type:ignore[arg-type]
ValueError: could not convert string to float: 'unavailable'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 455, in async_add_entities
    await asyncio.gather(*tasks)
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 731, in _async_add_entity
    await entity.add_to_platform_finish()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 846, in add_to_platform_finish
    self.async_write_ha_state()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 585, in async_write_ha_state
    self._async_write_ha_state()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 649, in _async_write_ha_state
    state = self._stringify_state(available)
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 591, in _stringify_state
    if (state := self.state) is None:
  File "/usr/src/homeassistant/homeassistant/components/sensor/__init__.py", line 583, in state
    raise ValueError(
ValueError: Sensor sensor.speedtest_ping has device class None, state class measurement unit ms and suggested precision None thus indicating it has a numeric value; however, it has the non-numeric value: unavailable (<class 'str'>)
2023-05-09 18:32:09.792 ERROR (MainThread) [homeassistant.components.sensor] Error while setting up speedtestdotnet platform for sensor
Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/sensor/__init__.py", line 581, in state
    numerical_value = float(value)  # type:ignore[arg-type]
ValueError: could not convert string to float: 'unavailable'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 312, in _async_setup_platform
    await asyncio.gather(*pending)
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 455, in async_add_entities
    await asyncio.gather(*tasks)
  File "/usr/src/homeassistant/homeassistant/helpers/entity_platform.py", line 731, in _async_add_entity
    await entity.add_to_platform_finish()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 846, in add_to_platform_finish
    self.async_write_ha_state()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 585, in async_write_ha_state
    self._async_write_ha_state()
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 649, in _async_write_ha_state
    state = self._stringify_state(available)
  File "/usr/src/homeassistant/homeassistant/helpers/entity.py", line 591, in _stringify_state
    if (state := self.state) is None:
  File "/usr/src/homeassistant/homeassistant/components/sensor/__init__.py", line 583, in state
    raise ValueError(
ValueError: Sensor sensor.speedtest_ping has device class None, state class measurement unit ms and suggested precision None thus indicating it has a numeric value; however, it has the non-numeric value: unavailable (<class 'str'>)
2023-05-09 18:32:32.284 ERROR (MainThread) [homeassistant.components.speedtestdotnet.coordinator] Error fetching speedtestdotnet data: Unable to connect to servers to test latency.

Pensez-vous que ce problème avec speedtest puisse planter HA ? Je précise que ce n’est pas un élément que j’ai installé.

Ma configuration


System Information

version core-2023.5.2
installation_type Home Assistant OS
dev false
hassio true
docker true
user root
virtualenv false
python_version 3.10.11
os_name Linux
os_version 6.1.25
arch x86_64
timezone Europe/Paris
config_dir /config
Home Assistant Cloud
logged_in false
can_reach_cert_server ok
can_reach_cloud_auth ok
can_reach_cloud ok
Home Assistant Supervisor
host_os Home Assistant OS 10.1
update_channel stable
supervisor_version supervisor-2023.04.1
agent_version 1.5.1
docker_version 23.0.3
disk_total 234.0 GB
disk_used 9.6 GB
healthy true
supported true
board generic-x86-64
supervisor_api ok
version_api ok
installed_addons File editor (5.6.0), Mosquitto broker (6.2.1), Samba share (10.0.1), Frigate (Full Access) (0.12.0), Terminal & SSH (9.7.0)
Dashboards
dashboards 1
resources 0
views 1
mode storage
Recorder
oldest_recorder_run 17 avril 2023 à 09:07
current_recorder_run 9 mai 2023 à 18:32
estimated_db_size 28.86 MiB
database_engine sqlite
database_version 3.40.1
___

Merci

1 « J'aime »

Salut

Non, je doute que ce soit ça qui rende HA instable.
Vérifie tes fichiers yaml, tu dois avoir un sensor « speedtest_ping » quelque part et enlève ou commente le.

Tu n’as pas d’autres logs ?

^Salut,

Moi ça me fait penser à une erreur de template et de valeur par défaut. J’irai faire un tour des sensor, et ceux qui utilisent float

Salut,

quand tu dis que HA crash, ça se manifeste comment?
Tu doit faire un reboot de la machine? Ou HA redémarre tout seul?

Faudrait voir combien tu as de Ram pour cette machine et combien est utilisée
Vu la taille de da base de données et de tes dashboards, tu n’as pas l’air avoir un système énorme.
Y’a plus de chances que ce soit Frigate qui de pompe trop de ressources.

Salut,

entre le moment où j’ai posté et maintenant, il a fallu que je reboote de nouveau car HA était HS. Les symptômes sont donc une perte de connexion avec le PC qui héberge HA, même en SSH. Je n’ai trouvé qu’un seul moyen : un reboot.

Voici mon fichier configuration.yaml (pour les sensor) :

# Loads default set of integrations. Do not remove.
default_config:

# Load frontend themes from the themes folder
frontend:
  themes: !include_dir_merge_named themes

# Text to speech
tts:
  - platform: google_translate

automation: !include automations.yaml
script: !include scripts.yaml
scene: !include scenes.yaml

logger:
  default: warning
  
http:
  use_x_forwarded_for: true
  trusted_proxies: 192.168.1.4

# Sensors
mqtt:
  sensor:
    - state_topic: "homeassistant/sensor/230/temp"
      name: "Etage Temp"
      unit_of_measurement: "°C"
      device_class: "temperature"

En ce qui concerne Frigate, je viens de regarder et ça utilise 12% du CPU et 1.4% de mémoire.

Je ne sais pas trop où chercher d’autres logs. Je trouve bizarre qu’il n’y ait rien d’inscrit au moment ou HA plante.

Je suis dans le même cas, mon HA fonctionnait depuis plus d’un an sans jamais un crash et soudain après les mise-à-jours de mai, il s’est mis à planter plusieurs fois par jour devenant complètement instable et sans information dans les logs.

Je semble avoit retrouvé un peu de stabilité depuis quelques jours en désactivant les intégrations Weather Underground et Shelly, sans être certain que ce soit lié.

Et j’ai également ce message device class temperature, state class None unit and suggested precision None thus indicating it has a numeric value; however, it has the non-numeric value: — (<class ‹ str ›>)

J’ai l’impression que c’est lié au fait que mes sensors template renvoient une valeur ‹ unavailable › lorqu’ils sont justement non disponibles et que ça ne plaît pas au système qui veut une valeur numérique. Ce n’est pas très clair quant à savoir ce qu’il faut mettre.

J’ai désactivé mon plugin Frigate et je n’ai plus aucun plantage. J’en conclus donc que, pour ma part, le fautif est frigate.

Ne reste plus qu’à comprendre pourquoi. Je vais lancer un nouveau sujet avec un titre plus explicite.

1 « J'aime »

Salut

un PC avec frigate
as tu essayé proxmox
ca te permettra d’isoler ton instance HA et celle de frigate
attention
si tu passes par cette methodologie.
HA dans une VM

Frigate dans un container

j’ai fait un post il y a quelques temps sur les fichier de configs proxmox dans le container

Bonjour,

merci pour le lien et les explications pour faire fonctionner HA et Friate à l’aide de Proxmox. J’avais regardé mais à première vue, il me semblait qu’il n’était pas si facile de gérer l’USB avec cette config. Or, à terme, j’aurai donc le google coral, une clé Conbee 2, une clé zigbee … Donc, ça me faisait un peu peur.

Mais, j’ai quand même quelques nouvelles. Sans pouvoir l’expliquer, au fur et à mesure des mises à jour, un jour je me suis aperçu que l’addon Frigate était lancé (alors que je pensais l’avoir désactivé) et que HA fonctionnait sans crash depuis plusieurs jours.
Du coup, je ne sais pas l’expliquer, mais tout refonctionne chez moi !!

SAlut

tant mieux si tu trouves que ça fonctionne mieux

Dans ce cas la n’hésites pas a passer ton sujet comme résolu.